/*
* Автор: Маркелов С.В.
* Дата: 2014-03-21
* Задача: http://jira.softage.ru/jira/browse/SDFO-273
* Назначение: АРМ - обновление справочника оффшорных зон
* Изменяются объекты:
		update MESSAGES_VERSIONS
*/

/*
  ****** Инструкции для SQLPlus (обязательно) ******
  Для печати сообщений:
  DBMS_OUTPUT.put_line('<Message>');
*/
whenever sqlerror exit 1;
set serveroutput on;
set ECHO off;
set DEFINE off;

declare
	filename      varchar2(256) := 'sfm.database-update.2014-03-21.Offshores.sql';
	purpose       varchar2(4000) := 'АРМ - обновление справочника оффшорных зон';
	SCRIPT_EXISTS number := 0;
begin

	--delete from DB_Update_History where script_name = filename;	commit;
	select count(*)
		into script_exists
		from DB_Update_History
	 where script_name = filename;

	if (script_exists > 0) then
		RAISE_APPLICATION_ERROR(-20001, '"' || filename || '" уже присутствует в базе');
	else
		insert into DB_Update_History
			(script_name, purpose)
		values
			(filename, purpose);
	end if;

	/*
	****** Begin update script ******
	*/
	UPDATE ANALYTICTYPES
	SET ANALYTICNAME = 'Перечень офшорных зон'
	WHERE ANALYTICTYPE = 41071;
	DELETE FROM ANALYTICCODES
	WHERE ANALYTICTYPE = 41071;
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 1, 'Княжество Андорра', 'Княжество Андорра');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 2, 'Государство Антигуа и Барбуда', 'Государство Антигуа и Барбуда');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 3, 'Содружество Багамских островов', 'Содружество Багамских островов');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 4, 'Государство Барбадос', 'Государство Барбадос');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 5, 'Государство Белиз', 'Государство Белиз');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 6, 'Государство Бруней Даруссалам', 'Государство Бруней Даруссалам');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 7, 'Республика Вануату', 'Республика Вануату');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 8, 'Республика Гватемала', 'Республика Гватемала');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 9, 'Государство Гренада', 'Государство Гренада');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 10, 'Республика Джибути', 'Республика Джибути');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 11, 'Доминиканская Республика', 'Доминиканская Республика');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 12, 'Республика Индонезия', 'Республика Индонезия');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 131, 'Канарские острова', 'Канарские острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 14, 'Республика Кипр', 'Республика Кипр');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 151, 'Аомынь (Макао)', 'Аомынь (Макао)');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 152, 'Сянган (Гонконг)', 'Сянган (Гонконг)');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 16, 'Федеральная Исламская Республика Коморские Острова', 'Федеральная Исламская Республика Коморские Острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 17, 'Республика Коста-Рика', 'Республика Коста-Рика');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 181, 'Лабуан', 'Лабуан');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 19, 'Республика Либерия', 'Республика Либерия');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 20, 'Княжество Лихтенштейн', 'Княжество Лихтенштейн');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 21, 'Республика Маврикий', 'Республика Маврикий');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 221, 'Острова Мадейра', 'Острова Мадейра');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 23, 'Мальдивская Республика', 'Мальдивская Республика');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 24, 'Республика Мальта', 'Республика Мальта');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 25, 'Республика Маршалловы острова', 'Республика Маршалловы острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 26, 'Княжество Монако', 'Княжество Монако');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 27, 'Союз Мьянма', 'Союз Мьянма');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 28, 'Республика Науру', 'Республика Науру');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 291, 'Аруба', 'Аруба');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 292, 'Антильские острова', 'Антильские острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 30, 'Федеративная Республика Нигерия', 'Федеративная Республика Нигерия');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 311, 'Остров Кука', 'Остров Кука');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 312, 'Остров Ниуэ', 'Остров Ниуэ');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 32, 'Республика Палау', 'Республика Палау');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 33, 'Республика Панама', 'Республика Панама');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 34, 'Независимое Государство Самоа', 'Независимое Государство Самоа');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 35, 'Республика Сейшельские острова', 'Республика Сейшельские острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 36, 'Государство Сент-Винсент и Гренадины', 'Государство Сент-Винсент и Гренадины');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 37, 'Федерация Сент-Китс и Невис', 'Федерация Сент-Китс и Невис');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 38, 'Государство Сент-Люсия', 'Государство Сент-Люсия');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 391, 'Острова Ангилья', 'Острова Ангилья');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 392, 'Бермудские острова', 'Бермудские острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 393, 'Британские Виргинские острова', 'Британские Виргинские острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 394, 'Гибралтар', 'Гибралтар');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 395, 'Каймановы острова', 'Каймановы острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 396, 'Остров Монтсеррат', 'Остров Монтсеррат');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 397, 'Острова Терке и Кайкос', 'Острова Терке и Кайкос');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 398, 'Остров Мэн', 'Остров Мэн');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 399, 'Нормандские острова (острова Гернси, Джерси, Сарк, Олдерни)', 'Нормандские острова (острова Гернси, Джерси, Сарк, Олдерни)');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 401, 'Американские Виргинские острова', 'Американские Виргинские острова');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 402, 'Острова Гуам', 'Острова Гуам');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 403, 'Содружество Пуэрто-Рико', 'Содружество Пуэрто-Рико');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 41, 'Королевство Тонга', 'Королевство Тонга');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 42, 'Республика Филиппины', 'Республика Филиппины');
	INSERT INTO ANALYTICCODES(ANALYTICTYPE, ANALYTICCODE, ANALYTICNAME, SHORTNAME)
	VALUES (41071, 43, 'Демократическая Республика Шри-Ланка', 'Демократическая Республика Шри-Ланка');

	/*
	****** End update script ******
	*/
	commit;

exception
	when others then
		rollback;
		raise;
end;
/
